Bug 1939769 - Review Request: netcat - OpenBSD netcat to read and write data across connections using TCP/IP
Summary: Review Request: netcat - OpenBSD netcat to read and write data across connect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1653119 1935540 1937528
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-17 02:09 UTC by Robert Scheck
Modified: 2021-04-05 18:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-22 02:08:32 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2021-03-17 02:09:40 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/netcat.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/netcat-1.217-2.src.rpm
Description: The OpenBSD nc (or netcat) utility can be used for just about anything involving TCP, UDP, or UNIX-domain sockets. It can open TCP connections, send UDP packets, listen on arbitrary TCP and UDP ports, do port scanning, and deal with both IPv4 and IPv6. Unlike telnet(1), nc scripts nicely, and separates error messages onto standard error instead of sending them to standard output, as telnet(1) does with some.
Fedora Account System Username: robert

Comment 1 Robert-André Mauchin 🐧 2021-03-17 13:23:16 UTC
 - Why are they at different git commit:

Source0:         https://raw.githubusercontent.com/openbsd/src/65e34726da66cef7bedf05e46505fb9773838ea0/usr.bin/nc/netcat.c
Source1:         https://raw.githubusercontent.com/openbsd/src/65e34726da66cef7bedf05e46505fb9773838ea0/usr.bin/nc/nc.1
Source2:         https://raw.githubusercontent.com/openbsd/src/f4faee9106dab4458d5d3326f876cd772c8e31da/usr.bin/nc/atomicio.c
Source3:         https://raw.githubusercontent.com/openbsd/src/62f5b9b7ef6078592f9b1efab0cc4e779362746e/usr.bin/nc/atomicio.h
Source4:         https://raw.githubusercontent.com/openbsd/src/db8da9c7e033587d91c43fee9b36cfc16b020783/usr.bin/nc/socks.c
Source5:         https://raw.githubusercontent.com/openbsd/src/f8bff98a0aea905e24d2539adcf721b9d7cf1bae/usr.bin/nc/Makefile

You could define a single '%global commit' of the latest revision and use it there.

 - Provides must contain the Version-Release you actually provide:

Provides:        nc = %{version}-%{release}
Provides:        nc6 = %{version}-%{release}

 - Please split the description further to stay below 80 characters per line:

netcat.x86_64: E: description-line-too-long C standard error instead of sending them to standard output, as telnet(1) does with



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD 3-clause "New" or "Revised" License". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/netcat/review-netcat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: netcat-1.217-2.fc35.x86_64.rpm
          netcat-debuginfo-1.217-2.fc35.x86_64.rpm
          netcat-debugsource-1.217-2.fc35.x86_64.rpm
          netcat-1.217-2.fc35.src.rpm
netcat.x86_64: W: name-repeated-in-summary C netcat
netcat.x86_64: E: description-line-too-long C standard error instead of sending them to standard output, as telnet(1) does with
netcat.x86_64: W: self-obsoletion nc < 1.109.20120711-2 obsoletes nc
netcat.x86_64: W: self-obsoletion nc6 < 1.00-22 obsoletes nc6
netcat.x86_64: W: non-executable-in-bin /usr/bin/nc 644
netcat.src: W: name-repeated-in-summary C netcat
netcat.src: W: spelling-error %description -l en_US nc -> NC, n, c
netcat.src: E: description-line-too-long C standard error instead of sending them to standard output, as telnet(1) does with
netcat.src:32: W: unversioned-explicit-provides nc
netcat.src:33: W: unversioned-explicit-provides nc6
4 packages and 0 specfiles checked; 2 errors, 8 warnings.

Comment 2 Robert Scheck 2021-03-17 19:20:42 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
> You could define a single '%global commit' of the latest revision and use it
> there.

Corrected. While the different commit hashes were not really intended, they
just reflect the actual commit which changed the specific file the last time.

>  - Provides must contain the Version-Release you actually provide:
> 
> Provides:        nc = %{version}-%{release}
> Provides:        nc6 = %{version}-%{release}

Corrected.

>  - Please split the description further to stay below 80 characters per line:
> 
> netcat.x86_64: E: description-line-too-long C standard error instead of
> sending them to standard output, as telnet(1) does with

Corrected.


Spec URL: http://labs.linuxnetz.de/bugzilla/netcat.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/netcat-1.217-3.src.rpm

Comment 3 Robert-André Mauchin 🐧 2021-03-17 19:48:37 UTC
Package approved.

Comment 4 Tomas Hrcka 2021-03-17 22:24:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/netcat

Comment 5 Fedora Update System 2021-03-17 22:58:10 UTC
FEDORA-2021-4bb1b994ef has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4bb1b994ef

Comment 6 Fedora Update System 2021-03-17 22:58:11 UTC
FEDORA-2021-968edd8d33 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-968edd8d33

Comment 7 Fedora Update System 2021-03-17 22:58:13 UTC
FEDORA-2021-c37fd2e3b0 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c37fd2e3b0

Comment 8 Fedora Update System 2021-03-18 03:29:22 UTC
FEDORA-2021-968edd8d33 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-968edd8d33 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-968edd8d33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-18 03:42:53 UTC
FEDORA-2021-4bb1b994ef has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-4bb1b994ef \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4bb1b994ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-18 03:45:18 UTC
FEDORA-EPEL-2021-41acb94d1c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-41acb94d1c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-18 04:48:17 UTC
FEDORA-EPEL-2021-63f8fe26b6 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-63f8fe26b6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-18 21:47:25 UTC
FEDORA-2021-c37fd2e3b0 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c37fd2e3b0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c37fd2e3b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Pavel Zhukov 2021-03-19 08:49:17 UTC
Bug bz#1937754 doesn't block this one and this bug doesn't depend on private RHEL bug. netcat is not in RHEL

Comment 14 Fedora Update System 2021-03-22 02:08:32 UTC
FEDORA-2021-c37fd2e3b0 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-26 00:54:52 UTC
FEDORA-2021-4bb1b994ef has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-03-26 17:52:59 UTC
FEDORA-2021-968edd8d33 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-04-02 00:44:39 UTC
FEDORA-EPEL-2021-41acb94d1c has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-04-02 01:55:57 UTC
FEDORA-EPEL-2021-63f8fe26b6 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Igor Raits 2021-04-05 18:31:54 UTC
Just a note - this package contains `nc` and `netcat` binaries so it can't be a drop-in replacement for nmap-ncat which provides `nc` and `ncat`.

Comment 20 Robert Scheck 2021-04-05 18:55:15 UTC
Ncat is a similar tool to netcat provided by Nmap suite. The first netcat implementation (by *Hobbit*) claims to be "nc" if you lookup the old sources. Red Hat decided a couple of years ago to retire the OpenBSD netcat implementation and make /usr/bin/nc a symlink to nmap-ncat. In order to provide some backwards compatibility, I did not claim "nc" exclusively.

I'm not really sure what you would like to say with your comment #19, because e.g. sendmail provides `sendmail` and `sendmail.sendmail`, while postfix provides `sendmail` and `sendmail.postfix`, where `sendmail.postfix` is treated as drop-in replacement, while it actually is not, either...they just share some common options.


Note You need to log in before you can comment on or make changes to this bug.